Debian Bug report logs - #507463
RFP: lp-solve-xli-dimacs -- xli_DIMACS plugin for lp-solve

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kilian Kilger <kilian@mathi.uni-heidelberg.de>

Date: Mon, 1 Dec 2008 15:48:02 UTC

Severity: wishlist

Merged with 555827

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juan Esteban Monsalve Tobon <esteban@v7w.com>:
Bug#507463; Package lp-solve. (Mon, 01 Dec 2008 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kilian Kilger <kilian@mathi.uni-heidelberg.de>:
New Bug report received and forwarded. Copy sent to Juan Esteban Monsalve Tobon <esteban@v7w.com>. (Mon, 01 Dec 2008 15:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kilian Kilger <kilian@mathi.uni-heidelberg.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lp-solve: missing plugins
Date: Mon, 01 Dec 2008 16:41:36 +0100
Package: lp-solve
Version: 5.5.0.10-10
Severity: wishlist


The version of lp-solve in Debian is missing a plugin I need. This is the xli_DIMACS plugin. It 
can be obtained from http://lpsolve.sourceforge.net/5.5/distribution.htm.

It would be very nice to have it in Debian.

Greetings,
Kilian. 

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lp-solve depends on:
ii  libc6                         2.7-16     GNU C Library: Shared libraries
ii  libsuitesparse-3.1.0          3.1.0-3    collection of libraries for comput

lp-solve recommends no packages.

lp-solve suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Esteban Monsalve Tobon <esteban@v7w.com>:
Bug#507463; Package lp-solve. (Mon, 01 Dec 2008 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Esteban Monsalve Tobon <esteban@v7w.com>. (Mon, 01 Dec 2008 22:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 507463@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kilian Kilger <kilian@mathi.uni-heidelberg.de>, 507463@bugs.debian.org
Subject: Re: Bug#507463: lp-solve: missing plugins
Date: Mon, 1 Dec 2008 23:21:23 +0100
Hi,

Kilian Kilger wrote:
> The version of lp-solve in Debian is missing a plugin I need. This is the xli_DIMACS plugin. It 
> can be obtained from http://lpsolve.sourceforge.net/5.5/distribution.htm.

http://downloads.sourceforge.net/lpsolve/lp_solve_5.5.0.13_xli_DIMACS_source.tar.gz?modtime=1217792661&big_mirror=0

this one?

Does it need internal lp-solve stuff to compile? Can it be built independently?
In that case, feel free to package it ;-)
If not: Well....

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Juan Esteban Monsalve Tobon <esteban@v7w.com>:
Bug#507463; Package lp-solve. (Tue, 02 Dec 2008 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kilian Kilger <kilian@nihilnovi.de>:
Extra info received and forwarded to list. Copy sent to Juan Esteban Monsalve Tobon <esteban@v7w.com>. (Tue, 02 Dec 2008 14:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 507463@bugs.debian.org (full text, mbox):

From: Kilian Kilger <kilian@nihilnovi.de>
To: Rene Engelhard <rene@debian.org>
Cc: 507463@bugs.debian.org
Subject: Re: Bug#507463: lp-solve: missing plugins
Date: Tue, 02 Dec 2008 15:03:46 +0100
Rene Engelhard <rene@debian.org> writes:

> Hi,
>
> Kilian Kilger wrote:
>> The version of lp-solve in Debian is missing a plugin I need. This is the xli_DIMACS plugin. It 
>> can be obtained from http://lpsolve.sourceforge.net/5.5/distribution.htm.
>
> http://downloads.sourceforge.net/lpsolve/lp_solve_5.5.0.13_xli_DIMACS_source.tar.gz?modtime=1217792661&big_mirror=0
>
> this one?
>
> Does it need internal lp-solve stuff to compile? Can it be built independently?

Sorry, it can't be compiled independently. If you want I could modify the package to include xli_Dimacs, if you would
upload it.

Greetings, 
Kilian. 

-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Esteban Monsalve Tobon <esteban@v7w.com>:
Bug#507463; Package lp-solve. (Tue, 02 Dec 2008 15:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Esteban Monsalve Tobon <esteban@v7w.com>. (Tue, 02 Dec 2008 15:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 507463@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kilian Kilger <kilian@nihilnovi.de>, 507463@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#507463: lp-solve: missing plugins
Date: Tue, 2 Dec 2008 16:22:27 +0100
retitle 507463 lp-solve: please include xli_DIMACS plugin
thanks

Kilian Kilger wrote:
> > Kilian Kilger wrote:
> >> The version of lp-solve in Debian is missing a plugin I need. This is the xli_DIMACS plugin. It 
> >> can be obtained from http://lpsolve.sourceforge.net/5.5/distribution.htm.
> >
> > http://downloads.sourceforge.net/lpsolve/lp_solve_5.5.0.13_xli_DIMACS_source.tar.gz?modtime=1217792661&big_mirror=0
> >
> > this one?
> >
> > Does it need internal lp-solve stuff to compile? Can it be built independently?
> 
> Sorry, it can't be compiled independently. If you want I could modify the package to include xli_Dimacs, if you would
> upload it.

Actually my question was aimed at not having to include it, but given
that it can't be built seperately....

But why this and not others? I guess we need to include all if we include
this... ;-(

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Changed Bug title to `lp-solve: please include xli_DIMACS plugin' from `lp-solve: missing plugins'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Tue, 02 Dec 2008 15:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Esteban Monsalve Tobon <esteban@v7w.com>:
Bug#507463; Package lp-solve. (Wed, 03 Dec 2008 09:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kilian Kilger <kilian@nihilnovi.de>:
Extra info received and forwarded to list. Copy sent to Juan Esteban Monsalve Tobon <esteban@v7w.com>. (Wed, 03 Dec 2008 09:12:07 GMT) Full text and rfc822 format available.

Message #27 received at 507463@bugs.debian.org (full text, mbox):

From: Kilian Kilger <kilian@nihilnovi.de>
To: Rene Engelhard <rene@debian.org>
Cc: 507463@bugs.debian.org
Subject: Re: Bug#507463: lp-solve: missing plugins
Date: Wed, 03 Dec 2008 10:07:00 +0100
Rene Engelhard <rene@debian.org> writes:

> But why this and not others? I guess we need to include all if we include
> this... ;-(

This would be the best anyway but I've been too shy to ask for this :-). The Dimacs format, however, is very popular and many programs tend to support it. So it would be nice to have it. By the way there is some open source program named Müsli which depends on it and I can't package it until lp-solve/dimacs support is in debian. 

A friend told me yesterday that the new debian source format could handle it to make one source package out of different orig.tar.gz's or so!? But I don't have any clue how to do that. But this would perhaps be an overkill for such a "low priority" software and we would have to wait until lenny is released :-(. 

Kilian. 


-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Juan Esteban Monsalve Tobon <esteban@v7w.com>:
Bug#507463; Package lp-solve. (Wed, 03 Dec 2008 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Esteban Monsalve Tobon <esteban@v7w.com>. (Wed, 03 Dec 2008 10:03:05 GMT) Full text and rfc822 format available.

Message #32 received at 507463@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Kilian Kilger <kilian@nihilnovi.de>, 507463@bugs.debian.org
Subject: Re: Bug#507463: lp-solve: missing plugins
Date: Wed, 3 Dec 2008 10:58:55 +0100
Hi,

Kilian Kilger wrote:
> A friend told me yesterday that the new debian source format could handle it to make one source package out of different orig.tar.gz's or so!? But I don't have any clue how to do that. But this would perhaps be an overkill for such a "low priority" software and we would have to wait until lenny is released :-(. 

Well, even if I added it now, it would not make lenny in any case, so... :)

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Juan Esteban Monsalve Tobon <esteban@v7w.com>:
Bug#507463; Package lp-solve. (Thu, 05 Nov 2009 22:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias K?ümmerer <matthias@matthias-k.org>:
Extra info received and forwarded to list. Copy sent to Juan Esteban Monsalve Tobon <esteban@v7w.com>. (Thu, 05 Nov 2009 22:51:06 GMT) Full text and rfc822 format available.

Message #37 received at 507463@bugs.debian.org (full text, mbox):

From: Matthias K?ümmerer <matthias@matthias-k.org>
To: 507463@bugs.debian.org
Subject: Re: Bug#507463: lp-solve: missing plugins
Date: Thu, 05 Nov 2009 23:39:00 +0100
[Message part 1 (text/plain, inline)]
Hi!

Is there any chance, that the plugins will be included in a not to far
future? Perhaps the next Debian Stable? We could really use it for a
program at university, it would be great, if the plugins would make it
into the next release.

Greetings,
Matthias

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'lp-solve' to 'wnpp'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 04 Dec 2009 10:03:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions lp-solve/5.5.0.10-10. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 04 Dec 2009 10:03:06 GMT) Full text and rfc822 format available.

Forcibly Merged 507463 555827. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 04 Dec 2009 10:03:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 06 Dec 2009 07:06:05 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from ansgar@43-1.org (Ansgar Burchardt) to control@bugs.debian.org. (Thu, 10 Dec 2009 12:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#507463; Package wnpp. (Tue, 27 Jul 2010 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Kümmerer <matthias@matthias-k.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 27 Jul 2010 20:45:03 GMT) Full text and rfc822 format available.

Message #52 received at 507463@bugs.debian.org (full text, mbox):

From: Matthias Kümmerer <matthias@matthias-k.org>
To: kjell.eikland@broadpark.no
Cc: 507463@bugs.debian.org
Subject: lp-solve DIMACS
Date: Tue, 27 Jul 2010 22:43:27 +0200
 Hello,

I would like to package the lp-solve DIMACS plugin for Debian. You are
listed in the file lp_Dimacs.c as author, thus I write to you. For
packaging for Debian it is very important to have explicit license
statements. The file lp_Dimacs.c is LGPL, but all the other files are
without any license statement. Thus I would like to ask you whether it
is possible to give the other files in
lp_solve_5.5.0.15_xli_DIMACS_source.tar.gz a license statement as well
or include a LICENSE file containing the license for all files.

To start it would even be enough to have a mail with the license
statement. I have prepared such a text for you below. If you like, you
can just send it back to me via mail. In the next release you can
include it as LICENSE file or put it in all files of the release.

Thanks for your help,
  Matthias

-------------------
   lp-solve xli_DIMACS: a DIMACS plugin for lp-solve

   Copyright (C) 2010  Kjell Eikland

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
published by
   the Free Software Foundation, either version 2.1 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

  This hold for all files included in lp-solve xli_DIMACs







Changed Bug title to 'ITP: lp-solve-xli-dimacs -- xli_DIMACS plugin for lp-solve' from 'lp-solve: please include xli_DIMACS plugin' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 08 Aug 2010 13:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#507463; Package wnpp. (Sat, 19 Feb 2011 17:09:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Feb 2011 17:09:35 GMT) Full text and rfc822 format available.

Message #59 received at 507463@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 507463@bugs.debian.org
Cc: control@bugs.debian.org
Subject: lp-solve-xli-dimacs: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:40 +0000
retitle 507463 RFP: lp-solve-xli-dimacs -- xli_DIMACS plugin for lp-solve
noowner 507463
thanks

Hi,

This is an automatic email to change the status of lp-solve-xli-dimacs back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting lp-solve-xli-dimacs, please send a mail to
<control@bugs.debian.org> with:

 retitle 507463 ITP: lp-solve-xli-dimacs -- xli_DIMACS plugin for lp-solve
 owner 507463 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <507463@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: lp-solve-xli-dimacs -- xli_DIMACS plugin for lp-solve' from 'ITP: lp-solve-xli-dimacs -- xli_DIMACS plugin for lp-solve' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:11:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:05:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.